---
title: History and Recall
description: Use EBT-Site history to recall what was said and done long ago.
img: timothy-eberly-4NnHD9qRE2M-unsplash.png
img-alt: Image of blurry book
category: 2. Sutta study
order: 5
---

### Memory fades
Memory fades with time. 

We work hard to study and remember suttas. 
Yet, inevitably, those hard-earned memories fade. 
Bit-by-bit we forget the words.
What was once clear becomes blurry, then fades.
And after a time we ask ourselves, "What was that sutta?"

> [SN48.9:3.2](suttas?search=sn48.9): It’s when a noble disciple is mindful. They have utmost mindfulness and alertness, and can remember and **recall what was said and done long ago.**

Recall is essential to mindfulness.

###  Recall
To recall a memory is to refresh that memory. 
Yet, even if we memorize a sutta word-for-word, without recall that memory will fade.
However, if we periodically review suttas, they will come to mind with ease.
Recall is a muscle that needs exercise.
Although some of us may remember exactly what we did every day of our lives,
for most of us, the exercise of recall is quite necessary to keep memory alive.

What strategies can we use for recall? 

The Buddha lists a few for us to consider. 
Those with good memory may prefer recitation.
Those with bad memory may prefer listening.
Those with a deep understanding may recall by insightful examination.
And those with a skill for abstraction will recall by theory.

> [AN4.191:1.1](suttas?search=an4.191): “Mendicants, you can expect four benefits when the teachings have been followed by ear, reinforced by recitation, examined by the mind, and well comprehended theoretically.

But there are over 4000 suttas in MN, SN, DN, AN, KN. 
How can one recite them all periodically?

### Short and long term Memory
[Memory](https://en.wikipedia.org/wiki/Memory) benefits from [spaced repetition](https://en.wikipedia.org/wiki/Spaced_repetition). 
Spaced repetition is an efficient way to allocate time for recall.
We allocate more time for difficult memories and less time for familiar memories.
In other words, we adjust the spacing of repetition according to the memory.

For example, an unfamiliar sutta will be harder to recall than a familiar sutta.
Applying spaced repetition, we therefore spend more time recalling difficult/new suttas..
And we spend less time recalling familiar suttas.
Learning a new sutta we recall it frequently.
Fortunately, with time, effort and study, unfamiliar suttas become familiar
and recall becomes less difficult as well as less frequent.

Thang goodness we don't need to read all 4000 suttas every day!

But wait...

How do we track which suttas we need to remember and when?

### EBT-Site History
Each EBT-Site maintains the user's history of suttas.
For example, let's suppose that Sariputta has just 
discovered the suttas and reads MN1-MN5 on Monday 
(Sariputta is noted for his quick mind):

* MN1 Monday 10:00:00
* MN2 Monday 10:00:10
* MN3 Monday 10:00:20
* MN4 Monday 10:00:30
* MN5 Monday 10:00:40

If Sariputta used an EBT-Site to study MN1-MN5, 
he would then see
the _history navigation bar_ at the bottom of the web page:

<img src="mn1-5-sariputta.png" class="ebt-image"/>

EBT-Site history tracks the suttas you study by the timestamp of when they were first read.
Studied suttas are ordered from left to right, with most recently studied suttas appearing to the right of older suttas.
EBT-Site history can therefore inform the spaced repetition of suttas for recall.
Sariputta simply studies the stuff on the right more than the stuff on the left.

...and after a while...

After a while, Sariputta notices that MN1 is vexingly complicated and deserves more intense and frequent study. What shall Sariputta do to move MN1 to the right of MN5?

### Pinning a sutta

To the right of the sutta title is a pin:

<img src="mn1-pin.png" class="ebt-image"/>

Sariputta clicks the pin to update the MN1 history timestamp. 
MN1 will now appear as the rightmost sutta in the history navigation bar.
